{
  "version": 10,
  "cmakeMinimumRequired": {
    "major": 3,
    "minor": 21,
    "patch": 0
  },
  "configurePresets": [
    {
      "name": "vs2026",
      "hidden": true,
      "generator": "Ninja",
      "cacheVariables": {
        "CMAKE_TOOLCHAIN_FILE": "${sourceDir}/toolchain/vs2026.cmake"
      },
      "vendor": {
        "jetbrains.com/clion": {
          "toolchain": "vs2026"
        }
      }
    },
    {
      "name": "vs2026_debug",
      "inherits": "vs2026",
      "cacheVariables": {
        "CMAKE_BUILD_TYPE": "Debug"
      }
    },
    {
      "name": "vs2026_release",
      "inherits": "vs2026",
      "cacheVariables": {
        "CMAKE_BUILD_TYPE": "Release"
      }
    }
  ]
}